<template> 
  <div id="wrapper">
    <div class="page-loader-wrapper" v-if="isLoading">
      <div class="loader">
          <div class="m-t-30"><img src="./assets/logo-icon.svg" width="48" height="48" alt="Lucid"></div>
          <p>Please wait...</p>        
      </div>
    </div> 
    <HeaderComponent v-if="!['login', 'register','lockscreen','fpassword','404','403','500','503','maintanance'].includes($route.name)" />
    <SidebarComponent  v-if="!['login', 'register','lockscreen','fpassword','404','403','500','503','maintanance'].includes($route.name)"/>
    <router-view></router-view>
  </div>
</template>
<script>
import HeaderComponent from './components/admin/layouts/HeaderComponent'
import SidebarComponent from './components/admin/layouts/SidebarComponent'
import moment from 'moment';

export default {
  name: 'App',
  components: {
    HeaderComponent,
    SidebarComponent
  } 
  ,computes:{
    currentUser() {
      let user =  this.$store.state.auth.user; 
     
    
      return user;
    },
    showAdminBoard() {
      if (this.currentUser && this.currentUser.roles) {
        return this.currentUser.roles.includes('ROLE_ADMIN');
      }

      return false;
    },
    showModeratorBoard() {
      
      if (this.currentUser && this.currentUser.roles) {
        return this.currentUser.roles.includes('ROLE_MODERATOR');
      }

      return false;
    }
  }
  ,watch: {
    $route: {
      immediate: true, // also trigger handler on initial value
      handler() {
         if (this.$route.name === 'maintanance') {
            document.body.className = '';
          }else{
            document.body.className = 'theme-cyan';
          }
      }
    }   
  },methods:{ 
  },data (){
      return{
        isLoading: true,
      }
  },created(){
        this.interval = setInterval(() => {
            this.isLoading = false
        }, 3000);

        let user =  this.$store.state.auth.user;
        
        if(user !== null){
            this.$router.push('/authentication/page-login');
        }
        let currentDate =  new Date; 
        // let date1 = moment(user.expiration);
        let date2 = moment(currentDate);
        console.log(date2);
        // if(date2 > date1)
        // {
        //     this.$store.dispatch('auth/logout');
        //     this.$router.push('/authentication/page-login');
        // }
    }
}
</script>
<style lang="scss">
  @import '../src/assets/vendor/bootstrap/css/bootstrap.min.css';
  @import '../src/assets/vendor/font-awesome/css/font-awesome.min.css';
  @import '../src/assets/scss/main.scss';
  @import '../src/assets/scss/color_skins.scss';
</style>
